# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87"
name = "anodizer-stage-makeself"
version = "0.11.0"
authors = ["TJ Smith <tj@jarvispro.io>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Makeself self-extracting archive stage for the anodizer release tool"
homepage = "https://tj-smith47.github.io/anodizer"
documentation = "https://tj-smith47.github.io/anodizer"
readme = "README.md"
keywords = [
    "release",
    "automation",
    "cargo",
    "ci-cd",
    "packaging",
]
categories = [
    "development-tools",
    "development-tools::build-utils",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/tj-smith47/anodizer"
resolver = "2"

[lib]
name = "anodizer_stage_makeself"
path = "src/lib.rs"

[dependencies.anodizer-core]
version = "0.11.0"

[dependencies.anyhow]
version = "1"

[dev-dependencies.anodizer-core]
version = "0.11.0"
features = ["test-helpers"]

[dev-dependencies.serde_yaml_ng]
version = "0.10"

[dev-dependencies.serial_test]
version = "3"

[dev-dependencies.tempfile]
version = "3"
